./www/p5-Plack-Middleware-Session, Plack middleware for session management

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.30nb2, Package name: p5-Plack-Middleware-Session-0.30nb2, Maintainer: pkgsrc-users

The Perl 5 module Plack::Middleware::Session is a Plack middleware
component for session management. By default it uses cookies to
keep session state and store data in memory. It also comes with
other state and store solutions.


Required to run:
[www/p5-Plack] [www/p5-Cookie-Baker]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

SHA1: 23432326a3bd05d360fa9ca627d8153b4ca4d372
RMD160: d58234329af2a99732be2c62822cc852a5b13f60
Filesize: 26.373 KB

Version history: (Expand)


CVS history: (Expand)


   2017-06-05 16:25:36 by Ryo ONODERA | Files touched by this commit (2298)
Log message:
Recursive revbump from lang/perl5 5.26.0
   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2016-02-02 13:11:13 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
(pkgsrc)
 - Add BUILD_DEPENDS+= p5-Test-Fatal for make test
(upstream)
 - Update 0.25 to 0.30
   -------------------
0.30  2015-03-02 10:24:38 PST
 - Fix VERSION

0.29  2015-02-17 15:56:25 PST
 - Moved repo to the plack organization on github

0.28  2015-02-16 08:30:08 PST
 - Same as 0.27. Make it non-trial

0.27  2015-02-13 16:52:11 PST
 - Added late_store in psgix.session.options to update the
   session after the streaming and reverts the default
   behavior to pre-0.26 (reported by darkkar, fixed by alexmv)
   #29, #30

0.26  2015-02-03 09:17:38 CET
 - Improved documentation (oalders, basiliscos, Mohammad Anwar, alexmv)
 - Session storage is now updated in the cleanup phase, after
   the streaming is complete (alexmv) #28
   2015-11-04 03:47:43 by Alistair G. Crooks | Files touched by this commit (758)
Log message:
Add SHA512 digests for distfiles for www category

Problems found locating distfiles:
	Package haskell-cgi: missing distfile haskell-cgi-20001206.tar.gz
	Package nginx: missing distfile array-var-nginx-module-0.04.tar.gz
	Package nginx: missing distfile encrypted-session-nginx-module-0.04.tar.gz
	Package nginx: missing distfile headers-more-nginx-module-0.261.tar.gz
	Package nginx: missing distfile nginx_http_push_module-0.692.tar.gz
	Package nginx: missing distfile set-misc-nginx-module-0.29.tar.gz
	Package nginx-devel: missing distfile echo-nginx-module-0.58.tar.gz
	Package nginx-devel: missing distfile form-input-nginx-module-0.11.tar.gz
	Package nginx-devel: missing distfile lua-nginx-module-0.9.16.tar.gz
	Package nginx-devel: missing distfile nginx_http_push_module-0.692.tar.gz
	Package nginx-devel: missing distfile set-misc-nginx-module-0.29.tar.gz
	Package php-owncloud: missing distfile owncloud-8.2.0.tar.bz2

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-07-12 20:56:37 by Thomas Klausner | Files touched by this commit (405)
Log message:
Comment out dependencies of the style
{perl>=5.16.6,p5-ExtUtils-ParseXS>=3.15}:../../devel/p5-ExtUtils-ParseXS
since pkgsrc enforces the newest perl version anyway, so they
should always pick perl, but sometimes (pkg_add) don't due to the
design of the {,} syntax.

No effective change for the above reason.

Ok joerg
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2014-11-03 04:17:51 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.25
Add missing DEPENDS

Upstream changes:
0.25  2014-09-28 20:07:42 PDT
        - Make tests safer for parallel execution. #21

0.24  2014-09-05 04:49:59 PDT
        - No changes since 0.23

0.23  2014-08-11 10:22:40 PDT
        - Changed the warning to error, when secret is not set.

0.22  2014-08-11 10:16:51 PDT
        - Document the vunlerability of using this middleware without secret, and
          warn when secret is not set on the runtime. In the next release the default
          will be changed to require the secret. (mala)

0.21  2013-10-12 11:41:37 PDT
        - use Cookie::Baker (kazeburo)
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.